Skip to content

Add API to fetch availability zones#159

Merged
blainekasten merged 1 commit intomainfrom
blainekasten-patch-8
Nov 12, 2025
Merged

Add API to fetch availability zones#159
blainekasten merged 1 commit intomainfrom
blainekasten-patch-8

Conversation

@blainekasten
Copy link
Contributor

@blainekasten blainekasten commented Nov 12, 2025

Needed for the python SDK to match spec on an API to list availability zones


Note

Adds GET /clusters/availability-zones returning a list of availability zones as strings.

  • API:
    • New endpoint: GET /clusters/availability-zones to list available availability zones (operationId: availabilityZones).
    • Schema: Add components/schemas/ListAvailibilityZonesResponse (array of string) and wire as the 200 response for the new endpoint.

Written by Cursor Bugbot for commit ecb6725. This will update automatically on new commits. Configure here.

@github-actions
Copy link

github-actions bot commented Nov 12, 2025

✱ Stainless preview builds

This PR will update the togetherai SDKs with the following commit message.

feat: Add API to fetch availability zones

Edit this comment to update it. It will appear in the SDK's changelogs.

⚠️ togetherai-typescript studio · code · diff

There was a regression in your SDK.
generate ⚠️build ✅lint ✅test ❗

npm install https://pkg.stainless.com/s/togetherai-typescript/f6bba9d39c7dd8b367b29b6adcf7208b5db8f533/dist.tar.gz
New diagnostics (2 error, 1 warning)
Terraform/ResourceHasAmbiguousProperties: (chat_completion) resource has some properties with an undefined type, which results in a raw JSON field. To resolve, add type annotations to the following properties: - #/components/schemas/ChatCompletionRequest/properties/response_format/properties/schema - #/components/schemas/ToolsPart/properties/function/properties/parameters
Terraform/ResourceHasAmbiguousProperties: (eval) resource has some properties with an undefined type, which results in a raw JSON field. To resolve, add type annotations to the following properties: - #/paths/%2Fevaluation%2F%7Bid%7D%2Fupdate/post/requestBody/content/application%2Fjson/schema/properties/results - #/components/schemas/EvaluationJob/properties/parameters
⚠️ Terraform/UnsupportedResponse: (audio) resource has an unsupported response type (binary-response) in method create, and will be ignored. Supported response types are: object, array, union, intersection.
togetherai-go studio · code · diff

Your SDK built successfully.
generate ⚠️lint ❗test ❗

go get github.com/stainless-sdks/togetherai-go@67b2ef621b44789d3b456ef57a63cf7a4a489778
⚠️ togetherai-python studio · code · diff

There was a regression in your SDK.
generate ⚠️build ✅lint ❗test ⏳

pip install https://pkg.stainless.com/s/togetherai-python/2acdbfc7f56d24b5879bfab40100143f455d0ff4/together-0.1.0a22-py3-none-any.whl
New diagnostics (2 error, 1 warning)
Terraform/ResourceHasAmbiguousProperties: (chat_completion) resource has some properties with an undefined type, which results in a raw JSON field. To resolve, add type annotations to the following properties: - #/components/schemas/ChatCompletionRequest/properties/response_format/properties/schema - #/components/schemas/ToolsPart/properties/function/properties/parameters
Terraform/ResourceHasAmbiguousProperties: (eval) resource has some properties with an undefined type, which results in a raw JSON field. To resolve, add type annotations to the following properties: - #/paths/%2Fevaluation%2F%7Bid%7D%2Fupdate/post/requestBody/content/application%2Fjson/schema/properties/results - #/components/schemas/EvaluationJob/properties/parameters
⚠️ Terraform/UnsupportedResponse: (audio) resource has an unsupported response type (binary-response) in method create, and will be ignored. Supported response types are: object, array, union, intersection.
togetherai-terraform studio · code · diff

Your SDK built successfully.
generate ❗lint ❗test ❗


This comment is auto-generated by GitHub Actions and is automatically kept up to date as you push.
Last updated: 2025-11-12 22:12:13 UTC

@blainekasten
Copy link
Contributor Author

@blainekasten blainekasten merged commit 77e2b44 into main Nov 12, 2025
4 of 5 checks passed
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment

Labels

None yet

Projects

None yet

Development

Successfully merging this pull request may close these issues.

2 participants